<?php
/*
 * Google Meet for LatePoint
 * Copyright (c) 2022-2023 TechXela (https://codecanyon.net/user/tech-xela). All Rights Reserved.
 *
 * LICENSE
 * -------
 * This software is furnished under license(s) and may be used and copied only in accordance with the terms of such
 * license(s) along with the inclusion of the above copyright notice. If you purchased this software through CodeCanyon,
 * please read the full license(s) at: https://codecanyon.net/licenses/standard
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! class_exists( 'TechXelaLatePointGoogleMeetDatabaseHelper' ) ) :

	final class TechXelaLatePointGoogleMeetDatabaseHelper {
		public static function addonsSqls( $sqls ): array {
			if ( version_compare( TECHXELA_LATEPOINT_GMEET_DB_VERSION, '1.0.3', 'ge' ) ) {
				$legacyEnabled = TechXelaLatePointGoogleMeetSettingsHelper::getSetting( '', 'enabled', false );
				if ( $legacyEnabled !== false ) {
					OsSettingsHelper::save_setting_by_name( 'enable_gmeet', $legacyEnabled );
					OsSettingsHelper::remove_setting_by_name( TechXelaLatePointGoogleMeetSettingsHelper::optionName( '', 'enabled' ) );
				}

				TechXelaLatePointGoogleMeetSettingsHelper::saveSetting( '',
					'meeting_name_template',
					OsUtilHelper::replace_single_curly_with_double( TechXelaLatePointGoogleMeetSettingsHelper::getMeetingNameTemplate() )
				);

				$legacyMeetingStatuses = TechXelaLatePointGoogleMeetSettingsHelper::getSetting( '', 'meeting_statuses', false );
				if ( $legacyMeetingStatuses !== false ) {
					OsSettingsHelper::remove_setting_by_name( TechXelaLatePointGoogleMeetSettingsHelper::optionName( '', 'meeting_statuses' ) );
				}
			}

			return $sqls;
		}
	}

endif;