<div class="white-box">
    <div class="white-box-header">
        <div class="os-form-sub-header">
            <h3><?php esc_html_tx_e( 'Google Meet Settings', 'google-meet-latepoint' ); ?></h3>
        </div>
    </div>
    <div class="white-box-content no-padding">
        <div class="sub-section-row">
            <div class="sub-section-label">
                <h3><?php esc_html_tx_e( 'Enabled', 'google-meet-latepoint' ); ?></h3>
            </div>
            <div class="sub-section-content">
				<?= OsFormHelper::toggler_field( 'service[meta][enable_gmeet]', esc_html_tx__( 'Automatically create Google Meeting for this service', 'google-meet-latepoint' ), TechXelaLatePointGoogleMeetServiceHelper::isEnabledForService( $service->id ), 'txGmeetServiceSettings', 'large' ); ?>
            </div>
        </div>
        <div id="txGmeetServiceSettings"
             style="display: <?= TechXelaLatePointGoogleMeetServiceHelper::isEnabledForService( $service->id ) ? 'block' : 'none' ?>">
            <div class="sub-section-row with-top-border">
                <div class="sub-section-label">
                    <h3><?php esc_html_tx_e( 'General Settings', 'google-meet-latepoint' ); ?></h3>
                </div>
                <div class="sub-section-content">
                    <div class="os-row">
                        <div class="os-col-lg-6">
							<?= OsFormHelper::toggler_field( 'service[meta][gmeet_group_bookings_enabled]', esc_html_tx__( 'Group bookings participants share the same meeting', 'google-meet-latepoint' ), TechXelaLatePointGoogleMeetServiceHelper::groupBookingsEnabled( $service->id ) ) ?>
                        </div>
                        <div class="os-col-lg-6">
							<?= OsFormHelper::toggler_field( 'service[meta][gmeet_guests_can_invite_others]', esc_html_tx__( 'Participants can invite others to the meeting', 'google-meet-latepoint' ), TechXelaLatePointGoogleMeetServiceHelper::guestsCanInviteOthers( $service->id ) ) ?>
                        </div>
                        <div class="os-col-lg-6">
							<?= OsFormHelper::toggler_field( 'service[meta][gmeet_guests_can_see_other_guests]', esc_html_tx__( 'Participants can see others participating in the meeting', 'google-meet-latepoint' ), TechXelaLatePointGoogleMeetServiceHelper::guestsCanSeeOtherGuests( $service->id ) ) ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="sub-section-row">
                <div class="sub-section-label">
                    <h3><?php esc_html_tx_e( 'Entry Points', 'google-meet-latepoint' ); ?></h3>
                </div>
                <div class="sub-section-content">
                    <div class="latepoint-message latepoint-message-subtle"><?php printf( esc_html_tx__( 'Entry points are additional methods by which guests/participants can join a Google Meet meeting. They are presented to the guests on the meeting page under "Other joining options". %s Learn more %s', 'google-meet-latepoint' ), '<a href="https://developers.google.com/calendar/api/v3/reference/events#conferenceData.entryPoints" target="_blank">', '</a>' ); ?></div>
                    <div class="os-togglable-items-w">
                        <div class="os-togglable-item-w">
                            <div class="os-togglable-item-head">
                                <div class="os-toggler-w">
									<?= \OsFormHelper::toggler_field(
										'service[meta][gmeet_entry_points_phone_enabled]',
										false,
										TechXelaLatePointGoogleMeetServiceHelper::isPhoneEntryPointEnabled( $service->id ),
										"toggleGMeetEntryPointPhone",
										'large'
									) ?>
                                </div>
                                <img class="os-togglable-item-logo-img"
                                     src="<?= esc_attr( TECHXELA_LATEPOINT_GMEET_IMG_ENTRY_POINTS_URL . 'phone-icon.svg' ) ?>"/>
                                <div class="os-togglable-item-name"><?php esc_html_e( 'Phone', 'latepoint' ); ?></div>
                            </div>
                            <div class="os-togglable-item-body"
                                 style="<?= TechXelaLatePointGoogleMeetServiceHelper::isPhoneEntryPointEnabled( $service->id ) ? '' : 'display: none'; ?>"
                                 id="toggleGMeetEntryPointPhone">
                                <div class="latepoint-message latepoint-message-subtle"><?php printf( esc_html_tx__( 'This entry point allows meeting participants to %s dial in by phone. %s You can use agent/customer or booking variables in the Label field.', 'google-meet-latepoint' ), '<a href="https://support.google.com/meet/answer/9518557" target="_blank">', '</a>' ) ?>
                                    &nbsp;<?= OsUtilHelper::template_variables_link_html(); ?></div>
								<?= OsFormHelper::text_field(
									'service[meta][gmeet_entry_points_phone_label]',
									esc_html_tx__( 'Label', 'google-meet-latepoint' ),
									$service->get_meta_by_key( 'gmeet_entry_points_phone_label', '' ),
									[
										'theme'       => 'bordered',
										'placeholder' => sprintf( esc_html_tx__( 'Dial in to %s meeting via Phone', 'google-meet-latepoint' ), $service->name )
									]
								) ?>
								<?= OsFormHelper::text_field(
									'service[meta][gmeet_entry_points_phone_uri]',
									esc_html__( 'Phone Number', 'latepoint' ),
									$service->get_meta_by_key( 'gmeet_entry_points_phone_uri', '' ),
									[ 'theme' => 'bordered' ]
								) ?>
								<?= OsFormHelper::text_field(
									'service[meta][gmeet_entry_points_phone_pin]',
									esc_html_tx__( 'PIN', 'google-meet-latepoint' ),
									$service->get_meta_by_key( 'gmeet_entry_points_phone_pin', '' ),
									[ 'theme' => 'bordered' ]
								) ?>
                            </div>
                        </div>
                        <div class="os-togglable-item-w">
                            <div class="os-togglable-item-head">
                                <div class="os-toggler-w">
									<?= \OsFormHelper::toggler_field(
										'service[meta][gmeet_entry_points_sip_enabled]',
										false,
										TechXelaLatePointGoogleMeetServiceHelper::isSipEntryPointEnabled( $service->id ),
										"toggleGMeetEntryPointSip",
										'large'
									) ?>
                                </div>
                                <img class="os-togglable-item-logo-img"
                                     src="<?= esc_attr( TECHXELA_LATEPOINT_GMEET_IMG_ENTRY_POINTS_URL . 'sip-icon.svg' ) ?>"/>
                                <div class="os-togglable-item-name"><?php esc_html_tx_e( 'SIP / VoIP', 'google-meet-latepoint' ); ?></div>
                            </div>
                            <div class="os-togglable-item-body"
                                 style="<?= TechXelaLatePointGoogleMeetServiceHelper::isSipEntryPointEnabled( $service->id ) ? '' : 'display: none'; ?>"
                                 id="toggleGMeetEntryPointSip">
                                <div class="latepoint-message latepoint-message-subtle"><?php printf( esc_html_tx__( 'This entry point allows meeting participants to %s join via third-party SIP/VoIP devices. %s', 'google-meet-latepoint' ), '<a href="https://support.google.com/meet/answer/9303069#system&zippy=%2Cjoin-a-video-meeting-from-a-third-party-system" target="_blank">', '</a>' ) ?></div>
								<?= OsFormHelper::text_field(
									'service[meta][gmeet_entry_points_sip_uri]',
									esc_html__( 'SIP Address', 'google-meet-latepoint' ),
									$service->get_meta_by_key( 'gmeet_entry_points_sip_uri', '' ),
									[ 'theme' => 'bordered' ]
								) ?>
								<?= OsFormHelper::text_field(
									'service[meta][gmeet_entry_points_sip_pin]',
									esc_html_tx__( 'PIN', 'google-meet-latepoint' ),
									$service->get_meta_by_key( 'gmeet_entry_points_sip_pin', '' ),
									[ 'theme' => 'bordered' ]
								) ?>
                            </div>
                        </div>
                        <div class="os-togglable-item-w">
                            <div class="os-togglable-item-head">
                                <div class="os-toggler-w">
									<?= \OsFormHelper::toggler_field(
										'service[meta][gmeet_entry_points_more_enabled]',
										false,
										TechXelaLatePointGoogleMeetServiceHelper::isMoreEntryPointEnabled( $service->id ),
										"toggleGMeetEntryPointMore",
										'large'
									) ?>
                                </div>
                                <img class="os-togglable-item-logo-img"
                                     src="<?= esc_attr( TECHXELA_LATEPOINT_GMEET_IMG_ENTRY_POINTS_URL . 'more-icon.svg' ) ?>"/>
                                <div class="os-togglable-item-name"><?php esc_html_tx_e( 'More', 'google-meet-latepoint' ); ?></div>
                            </div>
                            <div class="os-togglable-item-body"
                                 style="<?= TechXelaLatePointGoogleMeetServiceHelper::isMoreEntryPointEnabled( $service->id ) ? '' : 'display: none'; ?>"
                                 id="toggleGMeetEntryPointMore">
                                <div class="latepoint-message latepoint-message-subtle"><?php esc_html_tx_e( 'This entry point allows you to specify a webpage containing additional meeting instructions.', 'google-meet-latepoint' ); ?></div>
								<?= OsFormHelper::text_field(
									'service[meta][gmeet_entry_points_more_uri]',
									esc_html__( 'Webpage URL', 'google-meet-latepoint' ),
									$service->get_meta_by_key( 'gmeet_entry_points_more_uri', '' ),
									[ 'theme' => 'bordered' ]
								) ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>