/*
 * LatePoint Addons Framework
 * Copyright (c) 2021-2023 TechXela (https://codecanyon.net/user/tech-xela). All Rights Reserved.
 *
 * LICENSE
 * -------
 * This software is furnished under license(s) and may be used and copied only in accordance with the terms of such
 * license(s) along with the inclusion of the above copyright notice. If you purchased an item through CodeCanyon, in
 * which this software came included, please read the full license(s) at: https://codecanyon.net/licenses/standard
 */

"use strict";

/**
 * @param {string} message Message to notify
 * @param {string} message_type Type of notification to show
 * @param {boolean} persist Force notification to be displayed indefinitely
 * @param {boolean} close Force close notification
 * @param {int} timeout Time (in seconds) for which notification should be displayed
 */
function tx_latepoint_notif(message, message_type = 'success', persist = false, close = false, timeout = 10) {
    if (!close) {
        latepoint_add_notification(message, message_type);
        if (!persist) {
            setTimeout(() => jQuery('.os-notifications').remove(), timeout * 1000)
        }
    } else {
        jQuery('.os-notifications').remove();
    }
}

class TechXelaLatePointCoreFront {
    constructor() {
        this.ready();
    }

    ready() {
        jQuery(document).ready(() => {

        });
    }
}

let techXelaLatePointCoreFront = new TechXelaLatePointCoreFront();